from app.display import NeoPixel_64x64
from app.display.emoji import emoji_8x8, emoji_16x16
from app.utils import colors

class Emoji_Checker():
    
    def __init__(self, display: NeoPixel_64x64):
        self.display = display

    def check(self):
        self.display.clear()

        # try emoji
        self.display.set_font(emoji_8x8)
        self.display.write_text('😀😂✅😎💙', 0, 0, color=colors.GREEN)

        # try emoji
        self.display.set_font(emoji_16x16)
        self.display.write_text('🌙💙🔑', 0, 10, color=colors.ORANGE)
